public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
* [tests/selinux] pr775-checkpolicy-revdeps: policycoreutils/fixfiles-F-B-N: Test fixfiles [-F] [-B] onboot
@ 2026-09-11 13:17 Petr Lautrbach
0 siblings, 0 replies; only message in thread
From: Petr Lautrbach @ 2026-09-11 13:17 UTC (permalink / raw)
To: git-commits
A new commit has been pushed.
Repo : tests/selinux
Branch : pr775-checkpolicy-revdeps
Commit : fc79404ee11561d6240b334d24c0c6c70d7ec0f0
Author : Petr Lautrbach <plautrba@redhat.com>
Date : 2019-07-01T22:08:38+02:00
Stats : +138/-0 in 4 file(s)
URL : https://src.fedoraproject.org/tests/selinux/c/fc79404ee11561d6240b334d24c0c6c70d7ec0f0?branch=pr775-checkpolicy-revdeps
Log:
policycoreutils/fixfiles-F-B-N: Test fixfiles [-F] [-B] onboot
---
diff --git a/policycoreutils/fixfiles-F-B-N/Makefile b/policycoreutils/fixfiles-F-B-N/Makefile
new file mode 100644
index 0000000..0f35bd3
--- /dev/null
+++ b/policycoreutils/fixfiles-F-B-N/Makefile
@@ -0,0 +1,62 @@
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+# Makefile of /CoreOS/policycoreutils/Sanity/fixfiles-F-B-N
+# Description: Tests fixfiles -F | -B | -N options
+# Author: Petr Lautrbach <plautrba@redhat.com>
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+# Copyright (c) 2019 Red Hat, Inc.
+#
+# This program is free software: you can redistribute it and/or
+# modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation, either version 2 of
+# the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be
+# useful, but WITHOUT ANY WARRANTY; without even the implied
+# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+# PURPOSE. See the GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see http://www.gnu.org/licenses/.
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+export TEST=/CoreOS/policycoreutils/Sanity/fixfiles-F-B-N
+export TESTVERSION=1.0
+
+BUILT_FILES=
+
+FILES=$(METADATA) runtest.sh Makefile PURPOSE
+
+.PHONY: all install download clean
+
+run: $(FILES) build
+ ./runtest.sh
+
+build: $(BUILT_FILES)
+ test -x runtest.sh || chmod a+x runtest.sh
+
+clean:
+ rm -f *~ $(BUILT_FILES)
+
+
+include /usr/share/rhts/lib/rhts-make.include
+
+$(METADATA): Makefile
+ @echo "Owner: Petr Lautrbach <plautrba@redhat.com>" > $(METADATA)
+ @echo "Name: $(TEST)" >> $(METADATA)
+ @echo "TestVersion: $(TESTVERSION)" >> $(METADATA)
+ @echo "Path: $(TEST_DIR)" >> $(METADATA)
+ @echo "Description: Tests fixfiles -F | -B | -N options" >> $(METADATA)
+ @echo "Type: Sanity" >> $(METADATA)
+ @echo "TestTime: 5m" >> $(METADATA)
+ @echo "RunFor: policycoreutils" >> $(METADATA)
+ @echo "Priority: Normal" >> $(METADATA)
+ @echo "License: GPLv2+" >> $(METADATA)
+ @echo "Confidential: no" >> $(METADATA)
+ @echo "Destructive: no" >> $(METADATA)
+ @echo "Releases: -RHEL4 -RHELClient5 -RHELServer5" >> $(METADATA)
+
+ rhts-lint $(METADATA)
diff --git a/policycoreutils/fixfiles-F-B-N/PURPOSE b/policycoreutils/fixfiles-F-B-N/PURPOSE
new file mode 100644
index 0000000..44e7a79
--- /dev/null
+++ b/policycoreutils/fixfiles-F-B-N/PURPOSE
@@ -0,0 +1,3 @@
+PURPOSE of /CoreOS/policycoreutils/Sanity/fixfiles-F-B-N
+Description: Tests fixfiles -F | -B | -N options
+Author: Petr Lautrbach <plautrba@redhat.com>
diff --git a/policycoreutils/fixfiles-F-B-N/main.fmf b/policycoreutils/fixfiles-F-B-N/main.fmf
new file mode 100644
index 0000000..b49ad4a
--- /dev/null
+++ b/policycoreutils/fixfiles-F-B-N/main.fmf
@@ -0,0 +1,6 @@
+path: /policycoreutils/fixfiles-F-B-N
+summary: Test fixfiles [-F] [-B] onboot
+description: |
+ Run fixfiles with -F and -B options and check /.autorelabel
+relevancy:
+ - "distro = rhel-4, rhel-5, rhel-6: False"
diff --git a/policycoreutils/fixfiles-F-B-N/runtest.sh b/policycoreutils/fixfiles-F-B-N/runtest.sh
new file mode 100755
index 0000000..ab401df
--- /dev/null
+++ b/policycoreutils/fixfiles-F-B-N/runtest.sh
@@ -0,0 +1,67 @@
+#!/bin/bash
+# vim: dict+=/usr/share/beakerlib/dictionary.vim cpt=.,w,b,u,t,i,k
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+# runtest.sh of /CoreOS/selinux/Sanity/fixfiles
+# Description: Tests fixfiles -F | -B | -N options
+# Author: Petr Lautrbach <plautrba@redhat.com>
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+# Copyright (c) 2019 Red Hat, Inc.
+#
+# This program is free software: you can redistribute it and/or
+# modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation, either version 2 of
+# the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be
+# useful, but WITHOUT ANY WARRANTY; without even the implied
+# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+# PURPOSE. See the GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see http://www.gnu.org/licenses/.
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+# Include Beaker environment
+. /usr/bin/rhts-environment.sh || exit 1
+. /usr/share/beakerlib/beakerlib.sh || exit 1
+
+PACKAGE="policycoreutils"
+
+rlJournalStart
+ rlPhaseStartSetup
+ rlAssertRpm $PACKAGE
+ rlRun "TmpDir=\$(mktemp -d)" 0 "Creating tmp directory"
+ rlRun "pushd $TmpDir"
+ rlFileBackup "/.autorelabel"
+ rlRun "rm -f /.autorelabel"
+ rlPhaseEnd
+
+ rlPhaseStartTest "fixfiles onboot"
+ rlRun "fixfiles onboot"
+ rlAssertExists "/.autorelabel"
+ WC=`wc -c /.autorelabel | cut -f 1 -d " "`
+ rlAssertEquals "/.autorelabel is empty" $WC 0
+
+ rlRun "fixfiles -F onboot"
+ rlRun "grep -- '^-F *\$' /.autorelabel"
+
+ rlRun "fixfiles -B onboot"
+ rlRun "grep -E -- '-N [0-9]{4}-[0-9]{2}-[0-9]{2}' /.autorelabel"
+
+ rlRun "fixfiles -F -B onboot"
+ rlRun "grep -E -- '-F -N [0-9]{4}-[0-9]{2}-[0-9]{2}' /.autorelabel"
+
+ rlRun "rm -f /.autorelabel"
+ rlPhaseEnd
+
+ rlPhaseStartCleanup
+ rlFileRestore
+ rlRun "popd"
+ rlRun "rm -r $TmpDir" 0 "Removing tmp directory"
+ rlPhaseEnd
+rlJournalPrintText
+rlJournalEnd
^ permalink raw reply related [flat|nested] only message in thread
only message in thread, other threads:[~2026-09-11 13:17 UTC | newest]
Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-09-11 13:17 [tests/selinux] pr775-checkpolicy-revdeps: policycoreutils/fixfiles-F-B-N: Test fixfiles [-F] [-B] onboot Petr Lautrbach
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox